local mm = {
	[("MM_STEAM"):key()] = " (STEAM)",
	[("MM_EPIC"):key()] = " (EPIC)",
	default = ""
}


Hooks:PostHook(MenuNodeMainGui, "_add_version_string", "_add_version_string_display_matchmaking", function (self)

	local matchmaker = managers.network and managers.network.matchmake and managers.network.matchmake or NetworkMatchMakingSTEAM
	local key = matchmaker._BUILD_SEARCH_INTEREST_KEY
	self._version_string:set_text(key:upper():gsub("_", " ") .. (mm[SystemInfo:matchmaking():key()] or mm.default))
	self._version_string:set_alpha(0)
	self._version_string:set_color(Color.white)
	self._version_string:stop()
	self._version_string:animate(function (o)
		wait(1)
		over(1, function (t)
			o:set_alpha(t * 0.5)
		end)
	end)

end)
